Skip to main content
GET
/
v1
/
checkout_portal_protocol
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/checkout_portal_protocol \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/checkout_portal_protocol"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/checkout_portal_protocol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "f248674a-2647-4035-bab0-a8e93d65df8d",
  "object": "checkout_portal_protocol",
  "back_url": null,
  "external_enabled": true,
  "external_url": null,
  "manual_checkout_finalize_enabled": true,
  "thank_you_heading": "Thank you for your order!",
  "thank_you_description": "An order confirmation email with details of this order and a link back to this page have been sent to your email address below.",
  "wordpress_plugin_enabled": true,
  "created_at": 1782485812,
  "updated_at": 1782485812
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

back_url
string | null

The back URL that is shown to customers on the checkout portal. This can be overridden by a back_url on a Checkout.

external_enabled
boolean

Whether or not an external checkout portal is being used.

external_url
string | null

If external_enabled=true, where is the external portal hosted? If empty, the store's URL is used.

manual_checkout_finalize_enabled
boolean

Whether or not finalizing a checkout with manual_payment=true is allowed.

thank_you_heading
string | null

The heading that is shown to customers on the order thank you page.

thank_you_description
string | null

The description that is shown to customers on the order thank you page.

wordpress_plugin_enabled
boolean

Whether or not the WordPress plugin is hosting the checkout portal.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.